Package org.eclipse.remote.ui

# Interface IRemoteUIConnectionWizard

All Superinterfaces:
  `org.eclipse.jface.wizard.IWizard`

All Known Implementing Classes:
  `NewSerialPortConnectionWizard`

public interface IRemoteUIConnectionWizard extends org.eclipse.jface.wizard.IWizard
Interface for creating and editing connections in the UI.

## Method Summary

Modifier and Type
Method
Description
`IRemoteConnectionWorkingCopy`
`getConnection()`
Get the connection being edited.
`IRemoteConnectionWorkingCopy`
`open()`
Open configuration wizard allowing the user to enter information about a connection.
`void`
`setConnection(IRemoteConnectionWorkingCopy connection)`
Set a connection containing the information to be edited by the wizard.
`void`
`setConnectionName(String name)`
Set the initial name of the connection.
`void`
`setInvalidConnectionNames(Set<String> names)`
Supply a set of connection names that are invalid.

### Methods inherited from interface org.eclipse.jface.wizard.IWizard

`addPages, canFinish, createPageControls, dispose, getContainer, getDefaultPageImage, getDialogSettings, getNextPage, getPage, getPageCount, getPages, getPreviousPage, getStartingPage, getTitleBarColor, getWindowTitle, isHelpAvailable, needsPreviousAndNextButtons, needsProgressMonitor, performCancel, performFinish, setContainer`

## Method Details

### open

IRemoteConnectionWorkingCopy open()
Open configuration wizard allowing the user to enter information about a connection. If the user confirms the information is correct (e.g. selects OK in a dialog) then a working copy of the connection is returned. If the user discards the information, then null is returned.

Returns:
  connection working copy or null if the wizard is canceled

### getConnection

IRemoteConnectionWorkingCopy getConnection()
Get the connection being edited.

Returns:
  connection being edited
Since:
  2.0

### setConnection

void setConnection(IRemoteConnectionWorkingCopy connection)
Set a connection containing the information to be edited by the wizard. Setting this value overrides the `setConnectionName(String)` method.

Parameters:
  `connection` - connection used to initialize the wizard

### setConnectionName

void setConnectionName(String name)
Set the initial name of the connection.

Parameters:
  `name` - initial connection name

### setInvalidConnectionNames

void setInvalidConnectionNames(Set<String> names)
Supply a set of connection names that are invalid. The dialog should display an error if the user trys to select a name from the set.

Parameters:
  `names` - set of invalid connections names